Name: xpexeso
Version: 19990907
Release: 11
Source:  ftp://math.feld.cvut.cz/pub/olsak/xpexeso/%{name}-%{version}.tar.gz
Source1: xpexeso.desktop
Source2: xpexeso.kde
Source3: xpexeso.gnome
Source4: xpexeso.xpm
patch0:  xpexeso.patch
Icon:    xpexeso.gif
URL: http://math.feld.cvut.cz/olsak/xpexeso.html
#URL2: ftp://ftp.phil.muni.cz/pub/local/xpexeso/
Copyright: GPL
Group: Amusements/Games
Group(cs): Zbava/Hry
Packager: Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
#Packager: Milan Kerslager <kerslage@linux.cz>
Vendor: Petr Olsak
Requires: XFree86
BuildRoot: /tmp/xpexeso-root
Summary: xpexeso - an X Window System game with 64 picture cards
Summary(cs): xpexeso - hra pro X Window System se 64 obrzky

%description
Pexeso is a game for two or more players. If the xpexeso program is used,
some players can be substituted by computer. The game includes 64 picture
cards coupled into pairs. There are 32 pictures (the same picture on each
pair). The backside of all cards is common for all cards.
The winner is usually the player with a better "short" memory. You have to
remember the position and contents of cards. The program xpexeso emulates
the classical game PEXESO, which is widely played by children.
The program is implemented for X Window System.

%description -l cs
Pexeso (PEKeln SE SOuste) je spoleensk hra pro dva nebo vce hr.
Hraj ji rdy hlavn dti se skutenmi paprovmi kartikami.
Vyhrv ten, kdo m lep krtkodobou pam na polohu a obsah kartiek.
Program xpexeso umouje jednoho hre nahradit potaem.
Hra obsahuje 64 obrzkovch kartiek. Vdy na dvou kartikch je stejn
obrzek, tj. existuje 32 dvojic kartiek.
Program je napsn pro X Window System.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n xpexeso
%patch0

%build

xmkmf
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin/../share/xpexeso
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Games
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Games
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/../icons/mini
make PREFIX=$RPM_BUILD_ROOT install
install -m755 $RPM_SOURCE_DIR/xpexeso.desktop \
              $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpexeso.desktop
install -m755 $RPM_SOURCE_DIR/xpexeso.kde \
              $RPM_BUILD_ROOT/usr/share/applnk/Games/xpexeso.kdelnk
install -m755 $RPM_SOURCE_DIR/xpexeso.gnome \
              $RPM_BUILD_ROOT/usr/share/gnome/apps/Games/xpexeso.desktop
install -m755 $RPM_SOURCE_DIR/xpexeso.xpm \
              $RPM_BUILD_ROOT/usr/share/icons/mini/xpexeso.xpm
ln -s ../icons/mini/xpexeso.xpm \
              $RPM_BUILD_ROOT/usr/share/pixmaps/xpexeso.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
/usr/share/xpexeso
%attr(0755,root,root) /usr/bin/xpexeso
/etc/X11/applnk/Games/xpexeso.desktop
/usr/share/applnk/Games/xpexeso.kdelnk
/usr/share/gnome/apps/Games/xpexeso.desktop
/usr/share/icons/mini/xpexeso.xpm
/usr/share/pixmaps/xpexeso.xpm

%doc README COPYING Xpexeso-cz Xpexeso-eng

%changelog
* Fri Feb 02 2001 Zdenek Pytela <letty@mrakoplas.phil.muni.cz>
- /usr/lib changed to /usr/share
- added applnk desktop link in place of the wmconfig one (wmconfig is dead?)
- installation of the documentation

* Wed Nov  8 2000 Milan Kerslager <kerslage@linux.cz>
- rebuild for RH 7.0

* Tue Sep 07 1999 Zdenek Pytela
- update to version 19990907/etc/X11/wmconfig/
- added entries for window managers

* Mon Sep 06 1999 Zdenek Pytela
- first release of package, version 19990720

